version: '2.1'

services:
  minetest:
#    build: ./minetest/minetest
    image: registry.gitlab.com/minetest/minetest/server:latest
    hostname: minetest
    container_name: minetest
    restart: always
#    command: /usr/local/bin/minetestserver --config /etc/minetest/minetest.conf --terminal
#    entrypoint:
#      - /bin/sh
#      - /entrypoint.sh
    volumes:
#      - ./entrypoint.sh:/entrypoint.sh
      - ./minetest/data.orig/:/var/lib/minetest/ 
      - ./minetest/conf/:/etc/minetest/
    ports:
      - "30000:30000/udp"
#    network_mode: host
    networks:
      mynet:
        ipv4_address: 172.16.0.101
        
networks:
  mynet:
    enable_ipv6: false
    driver: bridge
    ipam:
      config:
      - subnet: 172.16.0.0/24

